package com.gyee.alarm.service;


import com.gyee.alarm.model.auto.ProEconEarlyReportAlarm;
import com.gyee.alarm.service.auto.IProEconEarlyReportAlarmService;
import com.gyee.alarm.service.auto.IProEconEarlyReportWtService;
import com.gyee.alarm.util.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;


@Service

public class EarlyReportAlarmService {

    @Resource
    private IProEconEarlyReportAlarmService proEconEarlyReportAlarmService;

    public List<ProEconEarlyReportAlarm> findByWindturbineReportId(String windturbineReportId)
    {
        List<ProEconEarlyReportAlarm> ls=new ArrayList<>();
        if(StringUtils.notEmp(windturbineReportId))
        {
            ls=proEconEarlyReportAlarmService.findByWindturbineReportId(windturbineReportId);
        }
        return ls;
    }
}
